<?php

/**
 * Fired during Visidea deactivation
 *
 * @link       https://visidea.ai
 * @since      1.0.0
 *
 * @package    Visidea
 * @subpackage Visidea/includes
 */

class Visidea_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
          // Obtain cronjob hook name
          // $cron_hook_name = get_option('cron_hook');
          // // Unschedule cronjob hook
          // $timestamp = wp_next_scheduled($cron_hook_name);
          // wp_unschedule_event($timestamp, $cron_hook_name);

		  as_unschedule_all_actions('ry_export_data_job');

          // Delete options
		  delete_option('ry_database_id');
		  delete_option('ry_public_token');
		  delete_option('ry_private_token');
		  delete_option('ry_interactions_columns');
          delete_option('ry_items_columns');
		  delete_option('ry_users_columns');
	}

}
